<?PHP
$fileex_img  = array ("gif", "jpg", "png", "psd", "tiff");
$fileex_atac = array ("doc", "pdf", "xls");

function isAlphaNumeric($data) // berprfen ob ein Wert aus Buchstaben ( deutscher Zeichensatz ) und/oder Zahlen besteht
{
	if (ereg('[A-Za-z0-9]{1,}', $data)) {  
		return true;
	} else {
		return FALSE;
	} 
} 

function isAlpha($data)  // berprfen ob ein Wert aus Buchstaben ( deutscher Zeichensatz ) besteht
{
	if (ereg('[A-Za-z]{1,}', $data)) { 
		return true;
	} else {
		return FALSE;
	}
}

function isNumeric($data)	// berprfen ob ein Wert aus Zahlen besteht
{
	if (ereg('[0-9]{1,}', $data)) {  
		return true;
	} else {
		return FALSE;
	}
}

function check_email_address($email)// einen E-Mail address auf ihre Richtigkeit berprfen
{
	if (!ereg("[^@]{1,64}@[^@]{1,255}", $email)) { // gucken ob die Email addresse das @ an der richtigen Stelle enthlt und keine Normen des Emailaddressen Syntax berschreitet
		return false;
	} 
	// E-Mailadd in account und host splitten
	$email_array = explode("@", $email);  		

	$local_array = explode(".", $email_array[0]);

	for ($i = 0; $i < sizeof($local_array); $i++) {	// berprft den namen  des E-Mailsyntax ( bzw keien Sonderzeichen enthlt )
		if (!ereg("^(([A-Za-z0-9!#$%&'*+/=?^_`{|}~-][A-Za-z0-9!#$%&'*+/=?^_`{|}~\.-]{0,63})|(\"[^(\\|\")]{0,62}\"))$", $local_array[0])) {
			return false;
		} 
	} 

	if (!ereg("^\[?[0-9\.]+\]?$", $email_array[1])) { // berprfen ob es eine domain oder ip ist.
		$domain_array = explode(".", $email_array[1]);

		if (sizeof($domain_array) < 2) {
			return false; // Not enough parts to domain
		} 

		for ($i = 0; $i < sizeof($domain_array); $i++) {	// berprfung der einzelnden Teiel des Domainnamens
			if (!ereg("^(([A-Za-z0-9][A-Za-z0-9-]{0,61}[A-Za-z0-9])|([A-Za-z0-9]+))$", $domain_array[$i])) {
				return false;
			} 
		} 
	}

	return true;
} 

function mime_content_type($filename)
{
   $mime = array(
      '.ai' => 'application/postscript', 
     '.aif' => 'audio/x-aiff', 
    '.aifc' => 'audio/x-aiff', 
    '.aiff' => 'audio/x-aiff', 
     '.asc' => 'text/plain', 
      '.au' => 'audio/basic', 
     '.avi' => 'video/x-msvideo', 
   '.bcpio' => 'application/x-bcpio', 
     '.bin' => 'application/octet-stream', 
       '.c' => 'text/plain', 
      '.cc' => 'text/plain', 
    '.ccad' => 'application/clariscad', 
     '.cdf' => 'application/x-netcdf', 
   '.class' => 'application/octet-stream',
    '.cpio' => 'application/x-cpio', 
     '.cpt' => 'application/mac-compactpro', 
     '.csh' => 'application/x-csh', 
     '.css' => 'text/css', 
     '.dcr' => 'application/x-director', 
     '.dir' => 'application/x-director', 
     '.dms' => 'application/octet-stream', 
     '.doc' => 'application/msword', 
     '.drw' => 'application/drafting', 
     '.dvi' => 'application/x-dvi', 
     '.dwg' => 'application/acad', 
     '.dxf' => 'application/dxf', 
     '.dxr' => 'application/x-director', 
     '.eps' => 'application/postscript', 
     '.etx' => 'text/x-setext', 
     '.exe' => 'application/octet-stream', 
      '.ez' => 'application/andrew-inset', 
       '.f' => 'text/plain', 
     '.f90' => 'text/plain', 
     '.fli' => 'video/x-fli', 
     '.gif' => 'image/gif', 
    '.gtar' => 'application/x-gtar', 
      '.gz' => 'application/x-gzip', 
       '.h' => 'text/plain', 
     '.hdf' => 'application/x-hdf', 
      '.hh' => 'text/plain', 
     '.hqx' => 'application/mac-binhex40', 
     '.htm' => 'text/html', 
    '.html' => 'text/html', 
     '.ice' => 'x-conference/x-cooltalk', 
     '.ief' => 'image/ief', 
    '.iges' => 'model/iges', 
     '.igs' => 'model/iges', 
     '.ips' => 'application/x-ipscript', 
     '.ipx' => 'application/x-ipix', 
     '.jpe' => 'image/jpeg', 
    '.jpeg' => 'image/jpeg', 
     '.jpg' => 'image/jpeg', 
      '.js' => 'application/x-javascript', 
     '.kar' => 'audio/midi', 
   '.latex' => 'application/x-latex', 
     '.lha' => 'application/octet-stream', 
     '.lsp' => 'application/x-lisp', 
     '.lzh' => 'application/octet-stream', 
       '.m' => 'text/plain', 
     '.man' => 'application/x-troff-man', 
      '.me' => 'application/x-troff-me', 
    '.mesh' => 'model/mesh', 
     '.mid' => 'audio/midi', 
    '.midi' => 'audio/midi', 
     '.mif' => 'application/vnd.mif',
    '.mime' => 'www/mime', 
     '.mov' => 'video/quicktime', 
   '.movie' => 'video/x-sgi-movie', 
     '.mp2' => 'audio/mpeg', 
     '.mp3' => 'audio/mpeg', 
     '.mpe' => 'video/mpeg', 
    '.mpeg' => 'video/mpeg', 
     '.mpg' => 'video/mpeg', 
    '.mpga' => 'audio/mpeg', 
      '.ms' => 'application/x-troff-ms', 
     '.msh' => 'model/mesh', 
      '.nc' => 'application/x-netcdf', 
     '.oda' => 'application/oda', 
     '.pbm' => 'image/x-portable-bitmap', 
     '.pdb' => 'chemical/x-pdb', 
     '.pdf' => 'application/pdf', 
     '.pgm' => 'image/x-portable-graymap', 
     '.pgn' => 'application/x-chess-pgn', 
     '.png' => 'image/png', 
     '.pnm' => 'image/x-portable-anymap', 
     '.pot' => 'application/mspowerpoint', 
     '.ppm' => 'image/x-portable-pixmap', 
     '.pps' => 'application/mspowerpoint', 
     '.ppt' => 'application/mspowerpoint', 
     '.ppz' => 'application/mspowerpoint', 
     '.pre' => 'application/x-freelance', 
     '.prt' => 'application/pro_eng', 
      '.ps' => 'application/postscript', 
      '.qt' => 'video/quicktime', 
      '.ra' => 'audio/x-realaudio', 
     '.ram' => 'audio/x-pn-realaudio', 
     '.ras' => 'image/cmu-raster', 
     '.rgb' => 'image/x-rgb', 
      '.rm' => 'audio/x-pn-realaudio', 
    '.roff' => 'application/x-troff', 
     '.rpm' => 'audio/x-pn-realaudio-plugin', 
     '.rtf' => 'text/rtf', 
     '.rtx' => 'text/richtext', 
     '.scm' => 'application/x-lotusscreencam', 
     '.set' => 'application/set', 
     '.sgm' => 'text/sgml', 
    '.sgml' => 'text/sgml', 
      '.sh' => 'application/x-sh', 
    '.shar' => 'application/x-shar', 
    '.silo' => 'model/mesh', 
     '.sit' => 'application/x-stuffit', 
     '.skd' => 'application/x-koan', 
     '.skm' => 'application/x-koan', 
     '.skp' => 'application/x-koan', 
     '.skt' => 'application/x-koan', 
     '.smi' => 'application/smil', 
    '.smil' => 'application/smil', 
     '.snd' => 'audio/basic', 
     '.sol' => 'application/solids', 
     '.spl' => 'application/x-futuresplash', 
     '.src' => 'application/x-wais-source', 
    '.step' => 'application/STEP', 
     '.stl' => 'application/SLA', 
     '.stp' => 'application/STEP', 
 '.sv4cpio' => 'application/x-sv4cpio', 
  '.sv4crc' => 'application/x-sv4crc', 
     '.swf' => 'application/x-shockwave-flash', 
       '.t' => 'application/x-troff', 
     '.tar' => 'application/x-tar', 
     '.tcl' => 'application/x-tcl', 
     '.tex' => 'application/x-tex', 
    '.texi' => 'application/x-texinfo', 
 '.texinfo' => 'application/x-texinfo',
     '.tif' => 'image/tiff', 
    '.tiff' => 'image/tiff', 
      '.tr' => 'application/x-troff', 
     '.tsi' => 'audio/TSP-audio',
     '.tsp' => 'application/dsptype', 
     '.tsv' => 'text/tab-separated-values', 
     '.txt' => 'text/plain', 
     '.unv' => 'application/i-deas',
   '.ustar' => 'application/x-ustar', 
     '.vcd' => 'application/x-cdlink', 
     '.vda' => 'application/vda', 
     '.viv' => 'video/vnd.vivo',
    '.vivo' => 'video/vnd.vivo',
    '.vrml' => 'model/vrml', 
     '.wav' => 'audio/x-wav', 
     '.wrl' => 'model/vrml', 
     '.xbm' => 'image/x-xbitmap', 
     '.xlc' => 'application/vnd.ms-excel',
     '.xll' => 'application/vnd.ms-excel',
     '.xlm' => 'application/vnd.ms-excel',
     '.xls' => 'application/vnd.ms-excel',
     '.xlw' => 'application/vnd.ms-excel',
     '.xml' => 'text/xml', 
     '.xpm' => 'image/x-xpixmap', 
     '.xwd' => 'image/x-xwindowdump', 
     '.xyz' => 'chemical/x-pdb', 
     '.zip' => 'application/zip');

   return $mime[strrchr($filename, '.')];
}
#############################################


if($_REQUEST['send']!="")
{  
 $failer="";
 if (!isAlpha($_REQUEST['name']))             $failer.="Sie haben keinen oder einen Namen eingegeben. <br \>\n";
 if (!isAlphaNumeric($_REQUEST['str']))       $failer.="Sie haben keine oder eine ung&uuml;ltige Addresse eingegeben. <br \>\n";
 if (!isNumeric($_REQUEST['plz']))            $failer.="Sie haben keine oder eine ung&uuml;ltige Postleituzahl eingegeben. <br \>\n";
 if (!isAlpha($_REQUEST['ort']))              $failer.="Sie haben keinen oder einen Ort eingegeben. <br \>\n";
 if (!check_email_address($_REQUEST['mail'])) $failer.="Sie haben keine oder eine ung&uuml;ltige E-Mail Addresse eingegeben. <br \>\n";
 if (strlen($_REQUEST['tel'])<6)              $failer.="Sie haben keine oder eine ung&uuml;ltige Telefonnummer eingegeben. <br \>\n";
 if (strlen($_REQUEST['text'])<16)            $failer.="Sie haben keinen Text eingegeben. <br \>\n"; 
 if ($_FILES['img']['name']=="")              $failer.="Sie haben kein Bild hochgeladen. <br \>\n"; 
 if (!in_array (substr($_FILES['img']['name'], strrpos($_FILES['img']['name'], ".")+1), $fileex_img))               $failer.="Sie haben eine ung&uuml;ltige Datei als Bild hochgeladen erlaubt sind: ".implode(" ", $fileex_img).". <br \>\n";
 if (!in_array (substr($_FILES['atac']['name'], strrpos($_FILES['atac']['name'], ".")+1), $fileex_atac) && $_FILES['atac']['name']!="")               $failer.="Sie haben eine ung&uuml;ltige Datei als Anhang hochgeladen erlaubt sind: ".implode(" ", $fileex_atac).". <br \>\n";
 
 
 if (strlen($failer)==0)
 { 
 $headers  = "From: PHP Mailer<phpmailer@movetec.ch>\n";
 $headers .= "X-Priority: 3\n";
 $headers .= "X-MSMail-Priority: Normal\n";
 $headers .= "X-Mailer: php\n";
 $headers .= "X-Accept-Language: de-DE, de, en-us, en\n";
 $headers .= "MIME-Version: 1.0\n";
 $headers .= "Content-Type: multipart/mixed;\n";
 $headers .= " boundary=\"------------050801060000020202080003\"\n";


 $message = "This is a multi-part message in MIME format.\n";
 $message.= "--------------050801060000020202080003\n";
 $message.= "Content-Type: text/plain; charset=ISO-8859-15\n";
 $message.= "Content-Transfer-Encoding: 7bit\n\n";
 $message.= "Es wurde geschrieben von:\n\n";
 $message.= $_REQUEST['name']."\n";
 $message.= $_REQUEST['str']."\n";
 $message.= $_REQUEST['plz']." ".$_REQUEST['ort']."\n\n\n";
 $message.= $_REQUEST['mail']."\n";
 $message.= $_REQUEST['tel']."\n\n\n";
 $message.= $_REQUEST['text']."\n\n\n";

 if($_FILES['img']['name']!="")
 {
  $message.="--------------050801060000020202080003\n";
  $message.="Content-Type: ".mime_content_type($_FILES['img']['name']).";\n";
  $message.=" name=\"".$_FILES['img']['name']."\"\n";
  $message.="Content-Transfer-Encoding: base64\n";
  $message.="Content-Disposition: inline;\n";
  $message.=" filename=\"".$_FILES['img']['name']."\"\n\n";
  $message.=base64_encode(file_get_contents($_FILES['img']['tmp_name']))."\n\n\n";
 }

 if($_FILES['atac']['name']!="")
 {
  $message.="--------------050801060000020202080003\n";
  $message.="Content-Type: ".mime_content_type($_FILES['atac']['name']).";\n";
  $message.=" name=\"".$_FILES['atac']['name']."\"\n";
  $message.="Content-Transfer-Encoding: base64\n";
  $message.="Content-Disposition: inline;\n";
  $message.=" filename=\"".$_FILES['atac']['name']."\"\n\n";
  $message.=base64_encode(file_get_contents($_FILES['atac']['tmp_name']))."\n\n\n";
 }

 $message.= "--------------050801060000020202080003--";

 mail("henning@movetec.ch" , "Neuer Eintrag", $message, $headers);
 
 $failer="Anfrage erfolgreich versendet!!<br>\n";
 }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>neue Anzeige</title>
</head>

<body>
<form method="post" action="<?=$_SERVER['PHP_SELF']?>" enctype="multipart/form-data">
<b><?=$failer?></b>
<table border="0">
<tr>
 <td align="left">
  <a>Name</a>
 </td>
 <td align="left">
  <input name="name" type="text" style="width:250px;" value="<?=$_REQUEST['name']?>"  />
 </td>
</tr> 
<tr>
 <td align="left">
  <a>Strasse + Nr</a>
 </td>
 <td align="left">
  <input name="str" type="text" style="width:250px;" value="<?=$_REQUEST['str']?>"  />
 </td>
</tr>
<tr>
 <td align="left">
  <a>PLZ</a>
 </td>
 <td align="left">
  <input name="plz" type="text" style="width:250px;" value="<?=$_REQUEST['plz']?>"  />
 </td>
</tr> 
<tr>
 <td align="left">
  <a>Ort</a>
 </td>
 <td align="left">
  <input name="ort" type="text" style="width:250px;" value="<?=$_REQUEST['ort']?>"  />
 </td>
</tr> 
<tr>
 <td align="left">
  <a>E-Mail</a>
 </td>
 <td align="left">
  <input name="mail" type="text" style="width:250px;" value="<?=$_REQUEST['mail']?>"  />
 </td>
</tr> 
<tr>
 <td align="left">
  <a>Tel</a>
 </td>
 <td align="left">
  <input name="tel" type="text" style="width:250px;" value="<?=$_REQUEST['tel']?>" />
 </td>
</tr> 
<tr>
 <td align="left">
  <a>Text</a>
 </td>
 <td align="left">
  <textarea name="text" rows="12"  style="width:250px;"><?=$_REQUEST['text']?></textarea>
 </td>
</tr>
<tr>
 <td align="left">
  <a>Bild</a>
 </td>
 <td align="left">
  <input type="file" name="img" style="width:250px;" />
 </td>
</tr>
<tr>
 <td align="left">
  <a>Anhang</a>
 </td>
 <td align="left">
  <input type="file" name="atac" style="width:250px;" />
 </td>
</tr>
<tr>
 <td align="left">&nbsp;
  
 </td>
 <td align="left">
  <input type="submit" name="send" value="verschicken" />
 </td>
</tr>  
</table>
</form>
</body>
</html>
